2017-09-22 08:09 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0009562CentOS-6xorg-x11-serverpublic2015-10-07 16:30
Reporterpaulg_ca 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformIntel x64OS6OS Version6.7
Product Version6.7 
Target VersionFixed in Version 
Summary0009562: R from R Project doesn't display graphics output from plot command
DescriptionWhen you call the plot() function in R (https://www.r-project.org) the expected plot is not displayed. What is displayed is the background image under the plot display window.
Steps To ReproduceDownload R 3.2.2 from https://www.r-project.org
Compile with ./configure; make; make install
Launch R
run the function plot(1,20)
Additional InformationThe plot() function works as expected in CentOS 6.6 and CentOS 7.1.1503
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0024542

toracat (manager)

I see that you added a note to :

https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=16497

Looks like it is a bug in the X11 module of R.

This is also documented in this RH's article :

https://access.redhat.com/solutions/1750883

~0024547

paulg_ca (reporter)

I don't have access to the RH article. R bug report #16497 seem to indicate that the issue is with the X server. There are two patched posted.

https://bugs.r-project.org/bugzilla3/attachment.cgi?id=1911&action=diff
https://bugs.r-project.org/bugzilla3/attachment.cgi?id=1912&action=diff

Again I don't have access the RH article so I might be missing something. Is it possible to make the Rh article readable by the public?

Thank you

~0024548

toracat (manager)

As explained in comment #5 of the R bug report:

https://bugs.r-project.org/bugzilla3/show_bug.cgi?id=16497#c5

"This is a bug in the X11 module (of R). It should not use backing store if it is relying on Expose events.

The 2 patches are for the X11 module of R, which address the issue raised.

The RH article simply states, "This is a bug in the X11 module of R interpreter. More information can be found on upstream bug 16497".

~0024549

paulg_ca (reporter)

Thank You, I missed that the patches should be applied to R. Consider this bug report closed.

~0024550

toracat (manager)

Closing.
+Notes

-Issue History
Date Modified Username Field Change
2015-10-06 17:05 paulg_ca New Issue
2015-10-06 17:05 paulg_ca File Added: CentOS-6.7-fail-plot.png
2015-10-06 17:06 paulg_ca File Added: CentOS-6.6-success-plot.png
2015-10-07 00:49 toracat Note Added: 0024542
2015-10-07 15:10 paulg_ca Note Added: 0024547
2015-10-07 15:32 toracat Note Added: 0024548
2015-10-07 16:13 paulg_ca Note Added: 0024549
2015-10-07 16:30 toracat Note Added: 0024550
2015-10-07 16:30 toracat Status new => closed
2015-10-07 16:30 toracat Resolution open => no change required
2015-10-07 16:30 toracat Additional Information Updated View Revisions
+Issue History